'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _immutable = require('immutable');

var _utils = require('./utils');

var _Spilit = require('./Spilit');

var _Spilit2 = _interopRequireDefault(_Spilit);

var _SuperScript = require('./SuperScript');

var _SuperScript2 = _interopRequireDefault(_SuperScript);

var _SubScript = require('./SubScript');

var _SubScript2 = _interopRequireDefault(_SubScript);

var _FontSize = require('./FontSize');

var _FontSize2 = _interopRequireDefault(_FontSize);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

// export this package's api
var Bold = (0, _utils.inlineStyleComponentFactory)('bold');
var Italic = (0, _utils.inlineStyleComponentFactory)('italic');
var Underline = (0, _utils.inlineStyleComponentFactory)('underline');
var StrikeThrough = (0, _utils.inlineStyleComponentFactory)('strikethrough');
var EditorPluginBasicStyle = (0, _immutable.List)([_FontSize2["default"], Bold, Italic, _Spilit2["default"], Underline, StrikeThrough, _SuperScript2["default"], _SubScript2["default"]]);
exports["default"] = EditorPluginBasicStyle;
module.exports = exports['default'];